Forms
Site Resources · 2 endpoints
GET
/v1/formsList Forms
app_install_bearerscope: forms:read
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
statusquery | string | optional | draft, active, paused, archived |
typequery | string | optional | contact, hiring, partner, survey, quiz, questionnaire, booking_intake, contract, custom |
access_typequery | string | optional | public, authenticated, invite_only |
limitquery | integer | optional | |
starting_afterquery | string | optional | |
ending_beforequery | string | optional |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | FormListResponse | required | |
data.has_more | boolean | required | |
data.items | FormObject[] | required | |
data.items[].access_type | string | required | public, authenticated, invite_only |
data.items[].created_at | string | optional | |
data.items[].description | string | optional | |
data.items[].domain_ids | string[] | optional | |
data.items[].id | string | required | |
data.items[].name | string |
Errors 400401403404409422429500
curl https://api.getmeonline.io/v1/forms \
-H "Authorization: Bearer $GETME_API_KEY"GET
/v1/forms/{form_id}Get Form
app_install_bearerscope: forms:read
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
form_idpath | string | required | Form public identifier in form_<21 Base62> format. |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | FormObject | required | |
data.access_type | string | required | public, authenticated, invite_only |
data.created_at | string | optional | |
data.description | string | optional | |
data.domain_ids | string[] |